[SOLVED]Facing issue after update to latest Meteor 1.6.1.3


#1

Hello pros,
@robfallows @rjdavid @GeoffreyBooth @rhywden @macrozone @coagmano @serkandurusoy

Unable to resolve some modules:

@babel/runtime/helpers/builtin/interopRequireDefault” in /Users/m_712199/Local_Dev/esmerlin-config/shared/imports/collection-helpers/users.js (os.osx.x86_64)
@babel/runtime/helpers/builtin/objectSpread” in /Users/m_712199/Local_Dev/esmerlin-config/shared/imports/collection-helpers/users.js (os.osx.x86_64)

If you notice problems related to these missing modules, consider running:

meteor npm install --save @babel/runtime

W20180808-17:16:24.978(-7)? (STDERR) /Users/m_712199/Local_Dev/esmerlin-config/.meteor/local/build/programs/server/boot.js:475
W20180808-17:16:24.979(-7)? (STDERR) }).run();
W20180808-17:16:24.979(-7)? (STDERR) ^
W20180808-17:16:24.979(-7)? (STDERR)
W20180808-17:16:24.979(-7)? (STDERR) Error: Cannot find module ‘@babel/runtime/helpers/builtin/interopRequireDefault’
W20180808-17:16:24.979(-7)? (STDERR) at Function.Module._resolveFilename (module.js:547:15)
W20180808-17:16:24.980(-7)? (STDERR) at Function.resolve (internal/module.js:18:19)
W20180808-17:16:24.980(-7)? (STDERR) at Object.require (/Users/m_712199/Local_Dev/esmerlin-config/.meteor/local/build/programs/server/boot.js:288:32)
W20180808-17:16:24.980(-7)? (STDERR) at makeInstallerOptions.fallback (packages/modules-runtime.js:651:18)
W20180808-17:16:24.980(-7)? (STDERR) at require (packages/modules-runtime.js:244:16)
W20180808-17:16:24.980(-7)? (STDERR) at livedata_connection.js (/Users/m_712199/Local_Dev/esmerlin-config/.meteor/local/build/programs/server/packages/ddp-client.js:147:30)
W20180808-17:16:24.980(-7)? (STDERR) at fileEvaluate (packages/modules-runtime.js:343:9)
W20180808-17:16:24.981(-7)? (STDERR) at require (packages/modules-runtime.js:238:16)
W20180808-17:16:24.981(-7)? (STDERR) at namespace.js (packages/ddp-client/common/namespace.js:1:300)
W20180808-17:16:24.981(-7)? (STDERR) at fileEvaluate (packages/modules-runtime.js:343:9)

Seeing this error after updated to 1.6.3.1 how to handle this?


#2

#3

By the way, tagging forum members for a new topic / problem won’t help you solve your topic faster. Please avoid it.